LZIPRECOVER(1)

NAME
lziprecover - recovers data from damaged lzip files

SYNOPSIS
lziprecover [options] [files]

DESCRIPTION
Lziprecover - Data recovery tool and decompressor for the lzip format.

Lziprecover can repair perfectly most files with small errors (up to one single-byte error per member), without the need of any extra redundance at all. Losing an entire archive just because of a corrupt byte near the beginning is a thing of the past. Lziprecover can also produce a correct file by merging the good parts of two or more damaged copies, extract data from damaged files, decompress files and test integrity of files.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-c, --stdout
    send decompressed output to standard output

-d, --decompress
    decompress

-D, --range-decompress=<range>
    decompress only a range of bytes (N-M)

-f, --force
    overwrite existing output files

-i, --ignore-errors
    make '--range-decompress' ignore data errors

-k, --keep
    keep (don't delete) input files

-l, --list
    print total file sizes and ratios

-m, --merge
    correct errors in file using several copies

-o, --output=<file>
    place the output into <file>

-q, --quiet
    suppress all messages

-R, --repair
    try to repair a small error in file

-s, --split
    split multi-member file in single-member files

-t, --test
    test compressed file integrity

-v, --verbose
    be verbose (a 2nd -v gives more)

Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (eg, bug) which caused lziprecover to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Lziprecover home page: http://www.nongnu.org/lzip/lziprecover.html

COPYRIGHT
Copyright © 2015 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for lziprecover is maintained as a Texinfo manual. If the info and lziprecover programs are properly installed at your site, the command

    info lziprecover

should give you access to the complete manual.